summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD24
2 files changed, 40 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..35674818d34
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = flack
+ pkgdesc = A menu-driven BASH script to edit FLAC tags
+ pkgver = 2.0.6
+ pkgrel = 2
+ url = http://www.sourceforge.net/projects/flack/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = bash>=3.2
+ depends = flac>=1.2.1
+ backup = etc/flackrc
+ source = http://downloads.sourceforge.net/flack/flack-2.0.6.tar.gz
+ sha1sums = 86fd01dbb312ab6f85dfc3e1297ba64a8f365aa3
+
+pkgname = flack
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..e9ee5220fb9
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,24 @@
+#Maintainer: max-k <max-k AT post DOT com>
+#Contributor: Jamie Nguyen <dyscoria@googlemail.com>
+
+pkgname=flack
+pkgver=2.0.6
+pkgrel=2
+pkgdesc="A menu-driven BASH script to edit FLAC tags"
+arch=('i686' 'x86_64')
+url='http://www.sourceforge.net/projects/flack/'
+license=('GPL')
+backup=('etc/flackrc')
+depends=('bash>=3.2' 'flac>=1.2.1')
+source=(http://downloads.sourceforge.net/flack/flack-${pkgver}.tar.gz)
+sha1sums=('86fd01dbb312ab6f85dfc3e1297ba64a8f365aa3')
+
+package()
+{
+ cd ${srcdir}/flack-${pkgver}
+ # copy script
+ install -D -m755 flack ${pkgdir}/usr/bin/flack || return 1
+ # copy configuration file
+ install -D -m644 flackrc ${pkgdir}/etc/flackrc || return 1
+}
+